;-------------------------------------------------------------------------
;		 		Verify User Flash
;-------------------------------------------------------------------------
;
progverify:
	movw	zh:zl, zeroh:zerol	; z = 0x0000
	clt
_ver1:
	rcall	getchar
	cpi	a0, ESCAPE		; end sequence ?
	brne	_ver2
	rcall	getchar
	cpi	a0, ESCAPE
	brne	_ver3
_ver2:
	lpm	r0, z+
.ifndef BootFuse
	cpi	zl, 3
	cpc	zh, zerol
	brcs	_ver1			; exclude jump to bootloader
.endif
	cpse	r0, a0
	set
	rjmp	_ver1
_ver3:
	brts	main_error		; error, Flash not equal
	rjmp	main_ok
;-------------------------------------------------------------------------
